Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.service
Interface TaskAuditService

All Known Implementing Classes:
  TaskAuditServiceImpl

    public interface TaskAuditService

Method Summary
`List<GroupAuditTask>` | `getAllGroupAuditTasks(String groupIds, int offset, int count)`
`List<GroupAuditTask>` | `getAllGroupAuditTasksAdmin(int offset, int count)`
`List<GroupAuditTask>` | `getAllGroupAuditTasksByDueDate(String groupIds, Date dueDate, int offset, int count)`
`List<GroupAuditTask>` | `getAllGroupAuditTasksByStatus(String groupIds, List<String> statuses, int offset, int count)`
`List<GroupAuditTask>` | `getAllGroupAuditTasksByStatusByDueDate(String groupIds, List<String> statuses, Date dueDate, int offset, int count)`
`List<GroupAuditTask>` | `getAllGroupAuditTasksByStatusByDueDateOptional(String groupIds, List<String> statuses, Date dueDate, int offset, int count)`
`List<HistoryAuditTask>` | `getAllHistoryAuditTasks(int offset, int count)`
`List<HistoryAuditTask>` | `getAllHistoryAuditTasksByUser(String userId, int offset, int count)`
`List<org.kie.internal.task.api.model.TaskEvent>` | `getAllTaskEvents(long taskId, int offset, int count)`
`List<UserAuditTask>` | `getAllUserAuditTasks(String userId, int offset, int count)`
`List<UserAuditTask>` | `getAllUserAuditTasksAdmin(int offset, int count)`
`List<UserAuditTask>` | `getAllUserAuditTasksByDueDate(String userId, Date dueDate, int offset, int count)`
`List<UserAuditTask>` | `getAllUserAuditTasksByStatus(String userId, List<String> statuses, int offset, int count)`
`List<UserAuditTask>` | `getAllUserAuditTasksByStatusByDueDate(String userId, List<String> statuses, Date dueDate, int offset, int count)`
`List<UserAuditTask>` | `getAllUserAuditTasksByStatusByDueDateOptional(String userId, List<String> statuses, Date dueDate, int offset, int count)`
`void` | `setTaskService(TaskService taskService)`

Method Detail

### setTaskService

    void setTaskService(TaskService taskService)

### getAllTaskEvents

    List<org.kie.internal.task.api.model.TaskEvent> getAllTaskEvents(long taskId,
                                                                     int offset,
                                                                     int count)

### getAllUserAuditTasksAdmin

    List<UserAuditTask> getAllUserAuditTasksAdmin(int offset,
                                                  int count)

### getAllUserAuditTasks

    List<UserAuditTask> getAllUserAuditTasks(String userId,
                                             int offset,
                                             int count)

### getAllUserAuditTasksByStatus

    List<UserAuditTask> getAllUserAuditTasksByStatus(String userId,
                                                     List<String> statuses,
                                                     int offset,
                                                     int count)

### getAllUserAuditTasksByDueDate

    List<UserAuditTask> getAllUserAuditTasksByDueDate(String userId,
                                                      Date dueDate,
                                                      int offset,
                                                      int count)

### getAllUserAuditTasksByStatusByDueDate

    List<UserAuditTask> getAllUserAuditTasksByStatusByDueDate(String userId,
                                                              List<String> statuses,
                                                              Date dueDate,
                                                              int offset,
                                                              int count)

### getAllUserAuditTasksByStatusByDueDateOptional

    List<UserAuditTask> getAllUserAuditTasksByStatusByDueDateOptional(String userId,
                                                                      List<String> statuses,
                                                                      Date dueDate,
                                                                      int offset,
                                                                      int count)

### getAllGroupAuditTasksAdmin

    List<GroupAuditTask> getAllGroupAuditTasksAdmin(int offset,
                                                    int count)

### getAllGroupAuditTasks

    List<GroupAuditTask> getAllGroupAuditTasks(String groupIds,
                                               int offset,
                                               int count)

### getAllGroupAuditTasksByStatus

    List<GroupAuditTask> getAllGroupAuditTasksByStatus(String groupIds,
                                                       List<String> statuses,
                                                       int offset,
                                                       int count)

### getAllGroupAuditTasksByDueDate

    List<GroupAuditTask> getAllGroupAuditTasksByDueDate(String groupIds,
                                                        Date dueDate,
                                                        int offset,
                                                        int count)

### getAllGroupAuditTasksByStatusByDueDate

    List<GroupAuditTask> getAllGroupAuditTasksByStatusByDueDate(String groupIds,
                                                                List<String> statuses,
                                                                Date dueDate,
                                                                int offset,
                                                                int count)

### getAllGroupAuditTasksByStatusByDueDateOptional

    List<GroupAuditTask> getAllGroupAuditTasksByStatusByDueDateOptional(String groupIds,
                                                                        List<String> statuses,
                                                                        Date dueDate,
                                                                        int offset,
                                                                        int count)

### getAllHistoryAuditTasks

    List<HistoryAuditTask> getAllHistoryAuditTasks(int offset,
                                                   int count)

### getAllHistoryAuditTasksByUser

    List<HistoryAuditTask> getAllHistoryAuditTasksByUser(String userId,
                                                         int offset,
                                                         int count)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.